Subject: Re: bug#15231: 24.3.50; eshell: variable `name' treated different from other variables

From: Stefan Monnier <[email-masked]>
Date: Thu, 12 Sep 2013 00:50:41 -0400

> I don't know the precise cause of the bug, but my crystal ball says that
> the Eshell code that interprets your command itself uses a variable
> named "name".  There are probably a few other variables names used by
> Eshell that suffer from the same kind of "capture".

I've just tried to convert Eshell to use lexical-binding and it appears
that this problem would indeed be fixed by such a change (if someone has
some kind of test suite for Eshell it would be very helpful, since
changing it to use lexical-binding is not completely trivial and might
introduce unexpected regressions).

        Stefan